2026 July Week 5 release: Updates to existing APIs
Summary: Updated APIs for Engagement. Updated APIs for Semantic Search API.
Engagement
Engagement (v v1)
What's Changed
GET /v1/engagements
GET /v1/engagementsReturn Type:
Changed response : 200 OK
Successful response
- Changed content type :
application/json- Changed property
continuationToken(string)Opaque token used to retrieve the next page of results via the continuation query parameter; absent when there are no further pages.
- Changed property
entries(array)A limit of engagements
Changed items (object):- Deleted property
email(string)The email of invitee
- Changed property
updatedTime(string -> string)The UTC timestamp when the engagement was last updated, in RFC 3339 date-time format. Null if the engagement has not been updated since creation.
- Deleted property
- Changed property
GET /v2/contexts
GET /v2/contextsParameters:
Changed: crmContextType in query
The CRM object's Context type. Supported values: Account, Opportunity. Example: contextType=Account
Result
API changes broke backward compatibility
Semantic Search API
Semantic Search API (v 1.0)
What's New
POST /results
POST /resultsPOST results
GET /typeahead/suggest
GET /typeahead/suggestGET typeahead
GET /content
GET /contentGET content
POST /documents
POST /documentsPOST documents (doclist)
POST /users
POST /usersPOST users
GET /facets
GET /facetsGET facets
POST /facets
POST /facetsPOST facets
GET /results/insights
GET /results/insightsGET results/insights
GET /content/{contentId}/promotedInfo
GET /content/{contentId}/promotedInfoGET content/{contentId}/promotedInfo
POST /content/{contentId}/promotedInfo
POST /content/{contentId}/promotedInfoPOST content/{contentId}/promotedInfo
POST /people
POST /peoplePOST people
POST /cms/results
POST /cms/resultsPOST cms results
What's Deleted
POST /v1/results
POST /v1/resultsPOST results
GET /v1/typeahead/suggest
GET /v1/typeahead/suggestGET typeahead
GET /v1/content
GET /v1/contentGET content
POST /v1/documents
POST /v1/documentsPOST documents (doclist)
POST /v1/users
POST /v1/usersPOST users
GET /v1/facets
GET /v1/facetsGET facets
POST /v1/facets
POST /v1/facetsPOST facets
GET /v1/results/insights
GET /v1/results/insightsGET results/insights
GET /v1/content/{contentId}/promotedInfo
GET /v1/content/{contentId}/promotedInfoGET content/{contentId}/promotedInfo
POST /v1/content/{contentId}/promotedInfo
POST /v1/content/{contentId}/promotedInfoPOST content/{contentId}/promotedInfo
POST /v1/people
POST /v1/peoplePOST people
POST /v1/cms/results
POST /v1/cms/resultsPOST cms results